## qgpgme 2.0.0

=== CMakeLists.txt ===
# CMakeLists.txt for QGpgME
# Copyright 2025 g10 Code GmbH
# Software engineering by Carl Schwan <carl.schwan@gnupg.com>
# Software engineering by Ingo Klöcker <dev@ingo-kloecker.de>
#
# This file is part of QGpgME, the Qt API binding for GpgME.
#
# QGpgME is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# QGpgME is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <https://gnu.org/licenses/>.
# SPDX-License-Identifier: GPL-2.0-or-later

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(FULL_VERSION "2.0.0")

string(REGEX MATCH "^[0-9]+.[0-9]+.[0-9]+" cmake_compat_version ${FULL_VERSION})
project(qgpgme VERSION ${cmake_compat_version})

set(VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set(VERSION_MINOR ${PROJECT_VERSION_MINOR})
set(VERSION_MICRO ${PROJECT_VERSION_PATCH})

# LT Version numbers, remember to change them just *before* a release.
#   (Code changed:			REVISION++)
#   (Interfaces added/removed/changed:	CURRENT++, REVISION=0)
#   (Interfaces added:			AGE++)
#   (Interfaces removed:		AGE=0)
set(LIBQGPGME_LT_CURRENT "22")
set(LIBQGPGME_LT_AGE "7")
set(LIBQGPGME_LT_REVISION "0")
math(EXPR LIBQGPGME_SOVERSION "${LIBQGPGME_LT_CURRENT} - ${LIBQGPGME_LT_AGE}")

set(GPG_ERROR_REQUIRED_VERSION "1.47")
set(GPGME_REQUIRED_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.0")
set(GPGMEPP_REQUIRED_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.0")
set(QT5_REQUIRED_VERSION "5.15.0")
set(QT6_REQUIRED_VERSION "6.5.0")

option(BUILD_WITH_QT5 "Build with Qt 5" ON)
option(BUILD_WITH_QT6 "Build with Qt 6" ON)
option(CONFIGURE_FOR_DISTRIBUTION "Configure only for `make dist`, etc., ignoring required dependencies" OFF)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

include(G10CMakeSettings)

include(G10AddDistTargets)
include(G10AddGenChangeLogTarget)
include(G10AddReleaseTargets)
include(G10CompilerSettings)
include(G10GetFullVersion)
include(ECMGenerateHeaders)
include(ECMUninstallTarget)
include(FeatureSummary)
include(GNUInstallDirs)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(LibGpgError ${GPG_ERROR_REQUIRED_VERSION})
find_package(Gpgme ${GPGME_REQUIRED_VERSION})
find_package(Gpgmepp ${GPGMEPP_REQUIRED_VERSION} CONFIG)
if (CONFIGURE_FOR_DISTRIBUTION)
    message(WARNING "Configuring only for running `make dist`, etc., ignoring required dependencies")
else()
    set_package_properties(LibGpgError PROPERTIES TYPE REQUIRED)
    set_package_properties(Gpgme PROPERTIES TYPE REQUIRED)
    set_package_properties(Gpgmepp PROPERTIES TYPE REQUIRED)
endif()

# Check for tools for building the Qt binding docs
find_package(Doxygen OPTIONAL_COMPONENTS dot)
set_package_properties(Doxygen PROPERTIES DESCRIPTION "Used for building the documentation")

g10_get_full_version(TAG_PREFIX gpgmeqt)

# create the VERSION file
find_package(Git QUIET)
if (GIT_FOUND AND EXISTS "${CMAKE_SOURCE_DIR}/.git")
    # get the current commit ID
    execute_process(COMMAND ${GIT_EXECUTABLE} rev-parse --verify HEAD
                    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
                    OUTPUT_VARIABLE commit_id
    )
    string(STRIP "${commit_id}" commit_id) # strip trailing whitespace
    file(WRITE "${CMAKE_BINARY_DIR}/VERSION" "${G10_FULL_VERSION}\n${commit_id}\n")
elseif(EXISTS "${CMAKE_SOURCE_DIR}/VERSION")
    configure_file("${CMAKE_SOURCE_DIR}/VERSION" "VERSION" COPYONLY)
else()
    file(WRITE "${CMAKE_BINARY_DIR}/VERSION" "${G10_FULL_VERSION}\nunknown\n")
endif()

if(UNIX)
    # start ChangeLog at import from KDE in gpgme repo
    g10_add_gen_changelog_target(
        SINCE "2016-03-08T00:00:00"
        FOOTER "${CMAKE_SOURCE_DIR}/build-aux/git-log-footer"
    )

    set(EXTRA_DIST
        "${CMAKE_BINARY_DIR}/ChangeLog"
        "${CMAKE_BINARY_DIR}/VERSION"
    )
    g10_add_dist_targets(
        VERSION "${G10_FULL_VERSION}"
        ARCHIVE_FORMAT "tar.xz"
        EXTRA_FILES ${EXTRA_DIST}
    )
    add_dependencies(dist gen-ChangeLog)

    g10_add_release_targets(
        VERSION "${G10_FULL_VERSION}"
        ARCHIVE_FORMAT "tar.xz"
        RELEASE_ARCHIVE_SUFFIX "gpgme"
    )
endif()

include(G10GitHooks)
g10_configure_git_hooks()

if(BUILD_WITH_QT5)
    set(QT_MAJOR_VERSION 5)
    find_package(Qt5 ${QT5_REQUIRED_VERSION} COMPONENTS Core)
    if (CONFIGURE_FOR_DISTRIBUTION)
        set_package_properties(Qt5 PROPERTIES TYPE REQUIRED)
    endif()
    if (LibGpgError_FOUND AND Gpgme_FOUND AND Gpgmepp_FOUND AND Qt5_FOUND)
        add_subdirectory(src 5/src)
        if(BUILD_TESTING)
            add_subdirectory(tests 5/tests)
        endif()
    endif()
endif()

if(BUILD_WITH_QT6)
    set(QT_MAJOR_VERSION 6)
    find_package(Qt6 ${QT6_REQUIRED_VERSION} CONFIG COMPONENTS Core CoreTools)
    if (CONFIGURE_FOR_DISTRIBUTION)
        set_package_properties(Qt6 PROPERTIES TYPE REQUIRED)
    endif()
    if (LibGpgError_FOUND AND Gpgme_FOUND AND Gpgmepp_FOUND AND Qt6_FOUND)
        add_subdirectory(src 6/src)
        if(BUILD_TESTING)
            add_subdirectory(tests 6/tests)
        endif()
    endif()
endif()

if(DOXYGEN_FOUND)
    add_subdirectory(doc)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# CMakeLists.txt for QGpgME
# Copyright 2021 Daniel Vrátil <dvratil@kde.org>
# Copyright 2025 g10 Code GmbH
# Software engineering by Carl Schwan <carl.schwan@gnupg.com>
# Software engineering by Ingo Klöcker <dev@ingo-kloecker.de>
#
# This file is part of QGpgME, the Qt API binding for GpgME.
#
# QGpgME is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# QGpgME is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <https://gnu.org/licenses/>.
# SPDX-License-Identifier: GPL-2.0-or-later

add_compile_definitions(GPG_ERR_SOURCE_DEFAULT=GPG_ERR_SOURCE_GPGME)
if(WIN32)
  add_compile_definitions(GPG_ERR_ENABLE_GETTEXT_MACROS=1)
endif()

set(targetname QGpgme)
if (${QT_MAJOR_VERSION} EQUAL "6")
    set(targetname "${targetname}Qt6")
endif()

add_library(${targetname} SHARED)

target_sources(${targetname} PRIVATE
    abstractimportjob.cpp
    changeexpiryjob.cpp
    cleaner.cpp
    cryptoconfig.cpp
    dataprovider.cpp
    debug.cpp
    decryptverifyarchivejob.cpp
    decryptverifyjob.cpp
    defaultkeygenerationjob.cpp
    dn.cpp
    encryptarchivejob.cpp
    encryptjob.cpp
    filelistdataprovider.cpp
    importfromkeyserverjob.cpp
    importjob.cpp
    job.cpp
    listallkeysjob.cpp
    multideletejob.cpp
    qgpgme_debug.cpp
    qgpgmeaddexistingsubkeyjob.cpp
    qgpgmeadduseridjob.cpp
    qgpgmebackend.cpp
    qgpgmechangeexpiryjob.cpp
    qgpgmechangeownertrustjob.cpp
    qgpgmechangepasswdjob.cpp
    qgpgmedecryptjob.cpp
    qgpgmedecryptverifyarchivejob.cpp
    qgpgmedecryptverifyjob.cpp
    qgpgmedeletejob.cpp
    qgpgmedownloadjob.cpp
    qgpgmeencryptarchivejob.cpp
    qgpgmeencryptjob.cpp
    qgpgmeexportjob.cpp
    qgpgmegpgcardjob.cpp
    qgpgmeimportfromkeyserverjob.cpp
    qgpgmeimportjob.cpp
    qgpgmekeyformailboxjob.cpp
    qgpgmekeygenerationjob.cpp
    qgpgmekeylistjob.cpp
    qgpgmelistallkeysjob.cpp
    qgpgmenewcryptoconfig.cpp
    qgpgmequickjob.cpp
    qgpgmereceivekeysjob.cpp
    qgpgmerefreshsmimekeysjob.cpp
    qgpgmerevokekeyjob.cpp
    qgpgmesetprimaryuseridjob.cpp
    qgpgmesignarchivejob.cpp
    qgpgmesignencryptarchivejob.cpp
    qgpgmesignencryptjob.cpp
    qgpgmesignjob.cpp
    qgpgmesignkeyjob.cpp
    qgpgmetofupolicyjob.cpp
    qgpgmeverifydetachedjob.cpp
    qgpgmeverifyopaquejob.cpp
    qgpgmewkdlookupjob.cpp
    qgpgmewkdrefreshjob.cpp
    qgpgmewkspublishjob.cpp
    quickjob.cpp
    receivekeysjob.cpp
    signarchivejob.cpp
    signencryptarchivejob.cpp
    signencryptjob.cpp
    signjob.cpp
    threadedjobmixin.cpp
    util.cpp
    verifydetachedjob.cpp
    verifyopaquejob.cpp
    wkdlookupresult.cpp
    wkdrefreshjob.cpp
)

set(qgpgme_PRIVATE_HEADERS
    abstractimportjob_p.h
    changeexpiryjob_p.h
    cleaner.h
    decryptverifyarchivejob_p.h
    decryptverifyjob_p.h
    encryptarchivejob_p.h
    encryptjob_p.h
    importjob_p.h
    job_p.h
    listallkeysjob_p.h
    protocol_p.h
    qgpgmeaddexistingsubkeyjob.h
    qgpgmeadduseridjob.h
    qgpgmebackend.h
    qgpgmechangeexpiryjob.h
    qgpgmechangeownertrustjob.h
    qgpgmechangepasswdjob.h
    qgpgmedecryptjob.h
    qgpgmedecryptverifyarchivejob.h
    qgpgmedecryptverifyjob.h
    qgpgmedeletejob.h
    qgpgmedownloadjob.h
    qgpgmeencryptarchivejob.h
    qgpgmeencryptjob.h
    qgpgmeexportjob.h
    qgpgmegpgcardjob.h
    qgpgmeimportfromkeyserverjob.h
    qgpgmeimportjob.h
    qgpgmekeyformailboxjob.h
    qgpgmekeygenerationjob.h
    qgpgmekeylistjob.h
    qgpgmelistallkeysjob.h
    qgpgmequickjob.h
    qgpgmereceivekeysjob.h
    qgpgmerefreshsmimekeysjob.h
    qgpgmerevokekeyjob.h
    qgpgmesetprimaryuseridjob.h
    qgpgmesignarchivejob.h
    qgpgmesignencryptarchivejob.h
    qgpgmesignencryptjob.h
    qgpgmesignjob.h
    qgpgmesignkeyjob.h
    qgpgmetofupolicyjob.h
    qgpgmeverifydetachedjob.h
    qgpgmeverifyopaquejob.h
    qgpgmewkdlookupjob.h
    qgpgmewkdrefreshjob.h
    qgpgmewkspublishjob.h
    quickjob_p.h
    signarchivejob_p.h
    signencryptarchivejob_p.h
    signencryptjob_p.h
    signjob_p.h
    threadedjobmixin.h
    util.h
    verifydetachedjob_p.h
    verifyopaquejob_p.h
    wkdrefreshjob_p.h
)

if (${QT_MAJOR_VERSION} EQUAL "5")
    list(APPEND qgpgme_PRIVATE_HEADERS qt6compat_p.h)
endif()

# the public headers
set(qgpgme_CAMELCASE_HEADERS
    AbstractImportJob
    AddExistingSubkeyJob
    AddUserIDJob
    ChangeExpiryJob
    ChangeOwnerTrustJob
    ChangePasswdJob
    CryptoConfig
    DN
    DataProvider
    Debug
    DecryptJob
    DecryptVerifyArchiveJob
    DecryptVerifyJob
    DefaultKeyGenerationJob
    DeleteJob
    DownloadJob
    EncryptArchiveJob
    EncryptJob
    ExportJob
    FileListDataProvider
    GpgCardJob
    ImportFromKeyserverJob
    ImportJob
    Job
    KeyForMailboxJob
    KeyGenerationJob
    KeyListJob
    ListAllKeysJob
    MultiDeleteJob
    Protocol
    QGpgMENewCryptoConfig
    QuickJob
    ReceiveKeysJob
    RefreshKeysJob
    RevokeKeyJob
    SetPrimaryUserIDJob
    SignArchiveJob
    SignEncryptArchiveJob
    SignEncryptJob
    SignJob
    SignKeyJob
    SpecialJob
    TofuPolicyJob
    VerifyDetachedJob
    VerifyOpaqueJob
    WKDLookupJob
    WKDLookupResult
    WKDRefreshJob
    WKSPublishJob
)

ecm_generate_headers(dummy
    HEADER_NAMES
    ${qgpgme_CAMELCASE_HEADERS}
    REQUIRED_HEADERS qgpgme_HEADERS
    PREFIX QGpgME
)

target_sources(${targetname} PRIVATE
    ${qgpgme_HEADERS}
)

include(GenerateExportHeader)
generate_export_header(${targetname}
    BASE_NAME qgpgme
)

target_link_libraries(${targetname} PUBLIC Gpgmepp Gpgme::Gpgme LibGpgError::LibGpgError Qt${QT_MAJOR_VERSION}::Core)

string(TOLOWER ${targetname} targetname_lowercase)
set_target_properties(${targetname} PROPERTIES
    OUTPUT_NAME "${targetname_lowercase}"
    VERSION "${LIBQGPGME_SOVERSION}.${LIBQGPGME_LT_AGE}.${LIBQGPGME_LT_REVISION}"
    SOVERSION "${LIBQGPGME_SOVERSION}"
)

target_include_directories(${targetname} INTERFACE "$<INSTALL_INTERFACE:include/qgpgme-qt${QT_MAJOR_VERSION}>")

if (${QT_MAJOR_VERSION} EQUAL 6)
    set(config_suffix Qt6)
endif()

include(ECMSetupVersion)
ecm_setup_version(PROJECT
                  VARIABLE_PREFIX QGPGME
                  SOVERSION "${LIBQGPGME_SOVERSION}"
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/qgpgme_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/QGpgme${config_suffix}ConfigVersion.cmake"
                  COMPATIBILITY AnyNewerVersion
)

include(CMakePackageConfigHelpers)
set(QGPGME_TARGETS_CMAKE_FILE QGpgme${config_suffix}Targets.cmake)
configure_package_config_file(QGpgmeConfig.cmake.in
                              ${CMAKE_CURRENT_BINARY_DIR}/QGpgme${config_suffix}Config.cmake
                              INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/QGpgme${config_suffix}
)

if (MSVC)
    install(TARGETS ${targetname} EXPORT ${targetname}Targets DESTINATION "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_BINDIR}")
else()
    install(TARGETS ${targetname} EXPORT ${targetname}Targets)
endif()

install(FILES ${qgpgme_HEADERS}
              ${CMAKE_CURRENT_BINARY_DIR}/qgpgme_version.h
              ${CMAKE_CURRENT_BINARY_DIR}/qgpgme_export.h
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/qgpgme-qt${QT_MAJOR_VERSION}/qgpgme)
install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/QGpgME
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/qgpgme-qt${QT_MAJOR_VERSION})

set(CMAKECONFIG_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR}/cmake/QGpgme${config_suffix})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/QGpgme${config_suffix}ConfigVersion.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/QGpgme${config_suffix}Config.cmake
        DESTINATION ${CMAKECONFIG_INSTALL_DIR})
install(EXPORT ${targetname}Targets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE QGpgme${config_suffix}Targets.cmake)
install(FILES ${CMAKE_SOURCE_DIR}/cmake/modules/FindGpgme.cmake
              ${CMAKE_SOURCE_DIR}/cmake/modules/FindLibGpgError.cmake
        DESTINATION ${CMAKECONFIG_INSTALL_DIR})

=== tests/CMakeLists.txt ===
# CMakeLists.txt for QGpgME tests
# Copyright 2024 g10 Code GmbH
# Software engineering by Ingo Klöcker <dev@ingo-kloecker.de>
#
# This file is part of QGpgME, the Qt API binding for GpgME.
#
# QGpgME is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# QGpgME is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <https://gnu.org/licenses/>.
# SPDX-License-Identifier: GPL-2.0-or-later

find_package(Qt${QT_MAJOR_VERSION}Test ${QT_REQUIRED_VERSION} CONFIG QUIET)

if(NOT TARGET Qt::Test)
    message(STATUS "Qt${QT_MAJOR_VERSION}Test not found, tests will not be built.")
    return()
endif()

set(qgpgme_library QGpgme)
if (${QT_MAJOR_VERSION} EQUAL "6")
    set(qgpgme_library "${qgpgme_library}Qt6")
endif()

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

include(ECMAddTests)

macro(_g10_add_test _source)
    get_filename_component(_name ${_source} NAME_WE)
    set(_name ${_name}${QT_MAJOR_VERSION})
    ecm_add_test(
        t-support.cpp
        t-support.h
        fixture.qrc
        ${_source}
        TEST_NAME ${_name}
        LINK_LIBRARIES ${qgpgme_library} Gpgmepp Qt::Test
    )
endmacro()

_g10_add_test(t-addexistingsubkey.cpp)
_g10_add_test(t-changeexpiryjob.cpp)
_g10_add_test(t-config.cpp)
_g10_add_test(t-decryptverify.cpp)
_g10_add_test(t-disablekey.cpp)
_g10_add_test(t-encrypt.cpp)
_g10_add_test(t-import.cpp)
_g10_add_test(t-keylist.cpp)
_g10_add_test(t-keylocate.cpp)
_g10_add_test(t-ownertrust.cpp)
_g10_add_test(t-remarks.cpp)
_g10_add_test(t-revokekey.cpp)
_g10_add_test(t-setprimaryuserid.cpp)
_g10_add_test(t-tofuinfo.cpp)
_g10_add_test(t-trustsignatures.cpp)
_g10_add_test(t-various.cpp)
_g10_add_test(t-verify.cpp)
_g10_add_test(t-wkdlookup.cpp)

_g10_add_test(t-dn.cpp)

# disabled test:
# _g10_add_test(t-wkspublish.cpp)

macro(_g10_add_testprogram _source)
    get_filename_component(_name ${_source} NAME_WE)
    set(_name ${_name}${QT_MAJOR_VERSION})
    add_executable(${_name} ${_source})
    target_link_libraries(${_name} ${qgpgme_library} Gpgmepp)
endmacro()

_g10_add_testprogram(run-decryptverifyarchivejob.cpp)
_g10_add_testprogram(run-decryptverifyjob.cpp)
_g10_add_testprogram(run-encryptarchivejob.cpp)
_g10_add_testprogram(run-encryptjob.cpp)
_g10_add_testprogram(run-exportjob.cpp)
_g10_add_testprogram(run-importjob.cpp)
_g10_add_testprogram(run-keyformailboxjob.cpp)
_g10_add_testprogram(run-receivekeysjob.cpp)
_g10_add_testprogram(run-refreshkeysjob.cpp)
_g10_add_testprogram(run-signarchivejob.cpp)
_g10_add_testprogram(run-signjob.cpp)
_g10_add_testprogram(run-verifydetachedjob.cpp)
_g10_add_testprogram(run-verifyopaquejob.cpp)
_g10_add_testprogram(run-wkdrefreshjob.cpp)

=== debian/changelog ===
qgpgme (2.0.0-2) experimental; urgency=medium

  * Add Build-Conflicts with gpg-from-sq. (see# 1117186)
  * Pull post-release fixes from upstream GIT.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 04 Oct 2025 14:58:25 +0200

qgpgme (2.0.0-1) experimental; urgency=low

  * New upstream version, split-off from gpgme.
  * Update copyright file, using cme.
  * Standards-Version: 4.7.2, no changes.
  * drop unnecessary debian/clean.
  * Version qt6-base-dev b-d, current stable is not new enough.
  * cleanup filter pattern in gbp.conf.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 08 Jun 2025 15:05:52 +0200

gpgme1.0 (1.24.2-3) unstable; urgency=medium

  * Fix hanging state machine.
    https://dev.gnupg.org/T7600 Fix picked from gpgme-1.24-branch
  * Fix 64bit time_t overflow bug on 32 bit archs (Closes: #1103787) (Also
    from upstream gpgme-1.24-branch)

 -- Andreas Metzler <ametzler@debian.org>  Wed, 07 May 2025 17:49:48 +0200

gpgme1.0 (1.24.2-2) unstable; urgency=medium

  * Adapt testsuite to changed gnupg 2.4 defaults in Debian.
    (Closes: #1103189)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Apr 2025 12:08:55 +0200

gpgme1.0 (1.24.2-1) unstable; urgency=medium

  * New upstream version.
    + Drop superfluous patches, unfuzz.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 16 Feb 2025 13:32:04 +0100

gpgme1.0 (1.24.1-4) unstable; urgency=high

  * Fix regression in 1.24.1 for RSA in gpgme_pubkey_algo_string.
    https://dev.gnupg.org/T7508

 -- Andreas Metzler <ametzler@debian.org>  Thu, 06 Feb 2025 06:53:51 +0100

gpgme1.0 (1.24.1-3) unstable; urgency=medium

  * Cherry-pick fix for testsuite timebomb from upstream (Closes: 1091499)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Feb 2025 13:16:51 +0100

gpgme1.0 (1.24.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 23 Dec 2024 11:36:48 +0100

gpgme1.0 (1.24.1-1) experimental; urgency=low

  * New upstream version.
  * Update libgpgme11t64 symbol file for extension of gpgme_pubkey_algo_t.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 Dec 2024 07:42:09 +0100

gpgme1.0 (1.24.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 13 Nov 2024 17:47:53 +0100

gpgme1.0 (1.24.0-1) experimental; urgency=medium

  * New upstream version.
  * Update patches for 1.24.0, drop superfluous ones.
  * Run wrap-and-sort -ast
  * Ship newly available gpgmepp pkg-config file in libgpgmepp-dev.
  * Add new symbols to libgpgme11t64 symbol file.
  * Simplify package build/test/install. 1.24.0 supports building qt5 and
    qt6 bindings in one go.
  * Update copyright info for 1.24.0.
  * Ship newly available upstream version of gpgme-json.1.  Also add a b-d on
    gpgrt-tools since yat2m is needed to generate the manpage.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 11 Nov 2024 13:28:58 +0100

gpgme1.0 (1.23.2-5) unstable; urgency=low

  * Add b-d on python3-setuptools. Closes: #1080871
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Oct 2024 14:29:00 +0200

gpgme1.0 (1.23.2-4) experimental; urgency=medium

  [ Sébastien Noel ]
  * Add a new gpgme-json package. Closes: #911189,#1028160

  [ Daniel Kahn Gillmor ]
  * clean up build-qt6/
  * update copyright years in gpgme-json.1
  * wrap-and-sort -ast

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 03 Sep 2024 19:16:58 -0400

gpgme1.0 (1.23.2-3) experimental; urgency=medium

  * tell gpg to --verify (Closes: #1080430)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 03 Sep 2024 18:28:07 -0400

gpgme1.0 (1.23.2-2) experimental; urgency=medium

  * Add dependency on libgpg-error-dev to libgpgmepp-dev.  Closes: #1078464
  * Cherry-pick patch from upstream GIT master to fix FTBFS against
    python3-setuptools 73.0.1 Closes: #1079928

 -- Andreas Metzler <ametzler@debian.org>  Tue, 03 Sep 2024 19:19:03 +0200

gpgme1.0 (1.23.2-1) experimental; urgency=low

  * New upstream version.
    + Unfuzz patches, drop cherry-picked patches.
    + Update libgpgme11t64 symbol file.
    + Update copyright info.
  * b-d on pkgconf instead of pkg-config.
  * Use wildcards in no-symbols-control-file overrides.
  * Bump Standards-Version to 4.7.0.
  * Split off libqgpgme-dev (QT5) package from libgpgmepp-dev.
    Closes: #863149
  * Fix README links in lib(q)gpgme development packages (broken by t64
    package rename).
  * Package QT6 bindings, cherrypicking the upstream change to install QT5 and
    QT6 headers in separate directories. Closes: #1073255
  * Update gpgme.m4 from upstream GIT master.
  * Add myself to uploaders.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 10 Aug 2024 13:28:58 +0200

gpgme1.0 (1.18.0-6) unstable; urgency=high

  * Delete outdated m4/libassuan.m4 to allow building against libassuan 3.
  * Cherry-pick patch from upstream GIT master to fix FTBFS against
    python3-setuptools 73.0.1 Closes: #1079928

 -- Andreas Metzler <ametzler@debian.org>  Tue, 03 Sep 2024 19:06:41 +0200

gpgme1.0 (1.18.0-5) unstable; urgency=medium

  * Add dependency on libgpg-error-dev to libgpgmepp-dev. -
    libgpgmepp-dev's error.h #includes gpg-error.h. (Thanks, John Scott)
    Closes: #1078464
  * Let libgpgmepp-dev Provide libqgpgme-dev, the latter has been
    split-off to a separate package in experimental. (See #863149)
  * Add myself to uploaders.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 11 Aug 2024 10:12:45 +0200

gpgme1.0 (1.18.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062119

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 23:10:53 +0000

gpgme1.0 (1.18.0-4) unstable; urgency=medium

  * Team upload.
  * Patch Makefile.am to invoke setup.py with --install-layout=deb and
    --root "$(DESTDIR)" (instead of setting prefix) and adapt paths in
    python3-gpg.install to allow building with python3-setuptools.
    Closes: #1039724, #1054786



=== debian/control ===
Source: qgpgme
Priority: optional
Section: libs
Maintainer: Debian GnuPG Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Andreas Metzler <ametzler@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 gpg,
 gpg-agent,
 libgpg-error-dev (>= 1.47),
 libgpgme-dev (>= 2.0.0),
 libgpgmepp-dev (>= 2.0.0),
 pkgconf,
 qt6-base-dev (>= 6.5.0),
 qtbase5-dev,
# see 1006230
 qtbase5-private-dev,
Build-Depends-Indep:
 doxygen,
 graphviz,
# see 1117186
Build-Conflicts:
 gpg-from-sq,
Standards-Version: 4.7.2
Homepage: https://gnupg.org/software/gpgme/
Vcs-Git: https://salsa.debian.org/debian/qgpgme.git -b debian/unstable
Vcs-Browser: https://salsa.debian.org/debian/qgpgme/tree/debian/unstable
Rules-Requires-Root: no

Package: libqgpgme15t64
Provides:
 ${t64:Provides},
Replaces:
 libqgpgme15,
Breaks:
 libqgpgme15 (<< ${source:Version}),
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library for GPGME integration with Qt
 QGpgME is a library that provides GPGME integration with QEventLoop
 and some Qt datatypes (e.g. QByteArray).
 .
 This is the official upstream Qt binding for GPGME.

Package: libqgpgmeqt6-15
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library for GPGME integration with Qt 6
 QGpgME is a library that provides GPGME integration with QEventLoop
 and some Qt datatypes (e.g. QByteArray).
 .
 This is the official upstream Qt 6 binding for GPGME.

Package: libqgpgme-dev
Section: libdevel
Architecture: any
Depends:
 libgpgmepp-dev (>= 2.0.0),
 libqgpgme15t64 (= ${binary:Version}),
 qtbase5-dev,
 ${misc:Depends},
Conflicts:
 libqgpgmeqt6-dev,
Breaks:
 kdepimlibs5-dev,
 libgpgmepp-dev (<< 1.23.2-1),
Replaces:
 kdepimlibs5-dev,
 libgpgmepp-dev (<< 1.23.2-1),
 libqgpgmeqt6-dev,
Recommends:
 libgpgmepp-doc (= ${binary:Version}),
Description: Qt bindings for GPGME (development files)
 GpgME++ (aka GpgMEpp) is a C++ wrapper (or C++ bindings) for the
 GnuPG project's GPGME (GnuPG Made Easy) library.
 .
 QGpgME is a library that provides GPGME integration with QEventLoop
 and some Qt datatypes (e.g. QByteArray).
 .
 This package contains the headers and other files needed to compile
 against this library.

Package: libqgpgmeqt6-dev
Section: libdevel
Architecture: any
Conflicts:
 libqgpgme-dev,
Replaces:
 libqgpgme-dev,
Depends:
 libgpgmepp-dev (>= 2.0.0),
 libqgpgmeqt6-15 (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 libgpgmepp-doc (= ${binary:Version}),
Description: Qt 6 bindings for GPGME (development files)
 GpgME++ (aka GpgMEpp) is a C++ wrapper (or C++ bindings) for the
 GnuPG project's GPGME (GnuPG Made Easy) library.
 .
 QGpgME is a library that provides GPGME integration with QEventLoop
 and some Qt datatypes (e.g. QByteArray).
 .
 This package contains the headers and other files needed to compile
 against this library with Qt6.

Package: libgpgmepp-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 libgpgmepp-dev,
Description: C++ and Qt bindings for GPGME (documentation for developers)
 GpgME++ (aka GpgMEpp) is a C++ wrapper (or C++ bindings) for the
 GnuPG project's GPGME (GnuPG Made Easy) library.
 .
 QGpgME is a library that provides GPGME integration with QEventLoop
 and some Qt datatypes (e.g. QByteArray).
 .
 This package contains documentation for developers describing how to
 use these packages.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT := qt5

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build -- \
		-DBUILD_WITH_QT5=ON -DBUILD_WITH_QT6=ON

override_dh_makeshlibs:
	dh_makeshlibs -V

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://gnupg.org/ftp/gcrypt/qgpgme/qgpgme@ANY_VERSION@@ARCHIVE_EXT@
